Get Workflow Run
One run with its definition and every step's redacted input, output and state delta.
Requires the right to modify the agent and that the run's conversation
is visible to the caller as on /conversations (403
missing_permission conversations:read_all otherwise), since the
steps carry the caller's conversation content.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
agent_id*Agent Id
Format
uuidrun_id*Run Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflow/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "source": "string", "status": "string", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "step_count": 0, "has_step_io": true, "failed_node_id": "string", "definition": {}, "steps": [ { "step_index": 0, "node_id": "string", "entered_at": "string", "transition": "string", "state_delta": {}, "resolved_input": null, "output": null, "is_error": false, "truncated": false, "waited": false, "io_pruned": false, "transcript_through": 0 } ]}Empty
{ "detail": "string", "code": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}